<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateClassifiedsSubcategorySubcategoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: classifieds_subcategory_subcategories
         */
        Schema::create('classifieds_subcategory_subcategories', function ($table) {
            $table->increments('id');
            $table->string('name', 250)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('status')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('classifieds_subcategory_subcategories');
    }
}
