<?php

// Routes for subcategory.

// Guard routes for subcategory
Route::prefix('{guard}/subcategory')->group(function () {

    Route::patch('subcategory/actions/{action}', 'SubcategoryActionsController');
    Route::patch('subcategory/action/{subcategory}/{action}', 'SubcategoryActionController');
    Route::patch('subcategory/workflow/{subcategory}/{transition}', 'SubcategoryWorkflowController');
    Route::resource('subcategory', 'SubcategoryResourceController');
});



// Public routes for subcategory
Route::get('subcategories/', 'SubcategoryPublicController@index');
Route::get('subcategory/{slug?}', 'SubcategoryPublicController@show');
