<?php

// Web routes  for subcategory.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for subcategory

Route::prefix('{guard}/subcategory')->group(function () {

    Route::get('/workflow/{subcategory}/{user}', 'SubcategoryWorkflowController@get')
        ->name('classifieds.subcategory.workflow');
    Route::post('/workflow/{subcategory}/{user}', 'SubcategoryWorkflowController@post');

    Route::get('/action/{subcategory}/{user}', 'SubcategoryActionController@get')
        ->name('classifieds.subcategory.action');
    Route::post('/action/{subcategory}/{user}', 'SubcategoryActionController@post');

});

