<?php

namespace Classifieds\Subcategory\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Classifieds\Subcategory\Models\Subcategory;

class SubcategoryAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Subcategory $subcategory,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
